Set a goal
POST
status "done" needs evidence: a link, an id the system can show, or a number and where it came from.
sessioncookie
better-auth.session_token<token>Set by POST /api/auth/sign-in/email.
ws*stringThe workspace id (from GET /api/me).
application/json- body
positionId*stringLength
1 <= length <= 100title*stringLength
1 <= length <= 200measure?stringLength
length <= 200Default
""target?stringLength
length <= 200Default
""current?stringLength
length <= 200Default
""dueOn?|Default
nullstatus?stringDefault
"active"Value in
"proposed""active""done""dropped"evidence?stringLength
length <= 2000Default
""note?stringLength
length <= 2000Default
""The goal.
curl -X POST 'https://app.useroster.work/api/workspaces/string/goals' \ -H 'Content-Type: application/json' \ -d '{ "positionId": "string", "title": "string"}'Example Response
Empty